function [dhdS2,dhdSdT,dhdT2]=slug2d(t,S,T)
% head derivatives for slug test
Q=50.;
r=60.;
dhdS2 = Q*r^4/(64.*pi*T^3*t^3)*exp(-r^2*S/(4*T*t));
dhdSdT=-r^2*Q/(4*pi*t^2)*(r^2*S/(4*t*T^4)-2/T^3)*exp(-r^2*S/(4*T*t));
dhdT2 = Q/(4.*pi*t)*(r^4*S^2/(16*t^2*T^5)-3*r^2*S/(4*t*T^4)+ ...
    2/T^3-r^2*S/(4*t*T^4))*exp(-r^2*S/(4*T*t));